/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
import { IRegistrable } from "./registrable";
export declare function Controller(parameters: IController): Function;
export interface IController extends IRegistrable {
    stateName?: string;
    stateUrl?: string;
    templateUrl?: string;
    template?: string;
    controller: Function;
    resolve?: Object;
}
export declare const controllerInfoKey = "$controllerInfo";
