"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var framework_filter_1 = require("./framework.filter");
var filter_1 = require("../decorators/filter");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var LowercaseFilter = /** @class */ (function () {
    function LowercaseFilter() {
    }
    LowercaseFilter_1 = LowercaseFilter;
    LowercaseFilter.factory = function () {
        return function (value) { return paradigm_ui_web_shared_1.ObjectExtensions.isNull(value) ? null : value.toLowerCase(); };
    };
    LowercaseFilter = LowercaseFilter_1 = tslib_1.__decorate([
        filter_1.Filter({
            name: framework_filter_1.FrameworkFilters.lowercase,
            factory: LowercaseFilter_1.factory
        })
    ], LowercaseFilter);
    return LowercaseFilter;
    var LowercaseFilter_1;
}());
exports.LowercaseFilter = LowercaseFilter;
