"use strict";
/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var filter_1 = require("../decorators/filter");
var framework_filter_1 = require("./framework.filter");
var paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
var UppercaseFilter = /** @class */ (function () {
    function UppercaseFilter() {
    }
    UppercaseFilter_1 = UppercaseFilter;
    UppercaseFilter.factory = function () {
        return function (value) { return paradigm_ui_web_shared_1.ObjectExtensions.isNull(value) ? null : value.toUpperCase(); };
    };
    UppercaseFilter = UppercaseFilter_1 = tslib_1.__decorate([
        filter_1.Filter({
            name: framework_filter_1.FrameworkFilters.uppercase,
            factory: UppercaseFilter_1.factory
        })
    ], UppercaseFilter);
    return UppercaseFilter;
    var UppercaseFilter_1;
}());
exports.UppercaseFilter = UppercaseFilter;
