/*!
 * Paradigm UI Web
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://gitlab.com/miracledevs-paradigm/ui-web-angularjs/blob/master/LICENSE)
 */
export interface IFileManagementService {
    read(file: File, completed: (file: File, content: string) => void, progress?: (p: number) => void, error?: (e: string) => void): void;
    download(fileName: string, content: string): any;
    open(fileName: string, content: string): any;
    getBlobUrl(fileName: string, content: string): string;
}
